/***文档注释***********************************************
 * 作者               :                   易鑫
 * 创建日期      :                   2018.2.5
 * 描述               :        			基础数据信息
 * 注意事项      :                   无
 * 遗留BUG :                   无
 * 修改日期      :                   
 * 修改人员      :                   
 * 修改内容      :                   
***********************************************************/
package market.Com.vo;
import java.io.Serializable;
import java.util.Date;

import market.Com.mapper.ComBaseMachineRStationMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_BASE_MACHINE_R_STATION", namespace=ComBaseMachineRStationMapper.class)
public class ComBaseMachineRStation extends BaseVO implements Serializable {
	@Id

	//机台代码
	private String machine_code;
	public String  getMachine_code() {
		return this.machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}

	@Column

	//机台名称
	private String machine_name;
	public String  getMachine_name() {
		return this.machine_name;
	}
	public void setMachine_name(String machine_name) {
		this.machine_name = machine_name;
	}

	@Id

	//工序点代码
	private String process_point_code;
	public String  getProcess_point_code() {
		return this.process_point_code;
	}
	public void setProcess_point_code(String process_point_code) {
		this.process_point_code = process_point_code;
	}

	@Column

	//工序点名称
	private String process_point_desc;
	public String  getProcess_point_desc() {
		return this.process_point_desc;
	}
	public void setProcess_point_desc(String process_point_desc) {
		this.process_point_desc = process_point_desc;
	}

	@Column

	//创建人
	private String create_name;
	public String  getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")

	//创建时间
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	@Column

	//修改人
	private String update_name;
	public String  getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")

	//修改时间
	private Date update_time;
	public Date  getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	@Column

	//删除人
	private String delete_name;
	public String  getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")

	//删除时间
	private Date delete_time;
	public Date  getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}

	@Column

	//备注
	private String memo;
	public String  getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	@Column

	//有效标志(1:有效，0:无效)
	private String validflag;
	public String  getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/**
	 * 产线编号
	 */
	private String pline_code;
	
	/**
	 * 是否委外机台（0：是，1：否）
	 */
	private String is_entrust;
	
	public String getPline_code() {
		return pline_code;
	}
	public void setPline_code(String pline_code) {
		this.pline_code = pline_code;
	}
	public String getIs_entrust() {
		return is_entrust;
	}
	public void setIs_entrust(String is_entrust) {
		this.is_entrust = is_entrust;
	}
	
}
